> This page is for Cash App Pay Partner API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.cash.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.cash.app/_mcp/server.

# List disputes

GET https://api.cash.app/network/v1/disputes

Returns a list of all disputes (matching the given query parameters) associated with payments created by this client.

**This endpoint is rate limited to 50 QPS.**

Scopes: `DISPUTES_READ`

Reference: https://developers.cash.app/cash-app-pay-partner-api/api-reference/network-api/list-disputes

## Servers

- `https://api.cash.app/network/v1` (Production, default)
- `https://sandbox.api.cash.app/network/v1` (Sandbox)

## Request

### Query parameters

- `cursor` (string, optional) — A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
- `limit` (integer, optional, default: 50) — Maximum number of disputes to return.
- `merchant_id` (string, optional) — Filters results to only include disputes filed against a merchant that matches the the given ID.

## Response

### 200

OK

- `disputes` (list of Dispute, required) — List of disputes matching the given query parameters.
- `cursor` (string, optional) — The pagination cursor to be used in a subsequent request. If empty, this is the final response.

## Errors

### 400 List Disputes Request Bad Request Error

Bad Request

- `errors` (list of Error, required) — A list of errors that occurred while processing the request. Min number of items: `1`

## Types

### Dispute

Represents a dispute initiated by a customer within Cash App or the customer's linked bank

- `id` (string, required) — A unique identifier for the dispute issued by Cash App. Min length: `1` Max length: `128`
- `payment_id` (string, required) — ID of the disputed payment. Min length: `1` Max length: `128`
- `amount` (integer, required) — Amount of disputed money, in the lowest denomination of currency on the associated payment. Min value: `1`
- `reason` (enum, required) — 4-digit code consisting of 2 letters followed by 2 numbers that indicates why the dispute was created, at a high level. Current values: - `FR10`: Customer has no knowledge of the payment. - `FR11`: Customer has no knowledge of the payment and liability has shifted to the merchant due to collusion, fraud monitoring program thresholds, or any other reason. - `PE10`: Payment was processed twice. - `PE11`: Payment amount differs from agreed amount. - `PE12`: Payment was paid for by another means. - `CD10`: Cancelled services. - `CD11`: Goods or services differ from what was agreed upon for the payment. - `CD12`: The goods or services were not received. - `CD13`: The purchase was cancelled or returned, but the refund has not been processed.
  - Allowed values: `FR10`, `FR11`, `PE10`, `PE11`, `PE12`, `CD10`, `CD11`, `CD13`
- `settlement_withholding` (enum, required) — Indicates if the disputed amount has already been withheld from a settlement or not. Current values: - `NOT_WITHHELD`: The disputed amount has not yet been withheld in a settlement. It may impact future settlements if the dispute is "lost" by the merchant. - `WITHHELD_ALREADY`: The disputed amount was withheld in a prior settlement. This dispute will not impact future settlements.
  - Allowed values: `NOT_WITHHELD`, `WITHHELD_ALREADY`
- `state` (enum, required) — The step in the dispute lifecycle that this dispute is currently at: - `RESPONSE_REQUIRED` - `NO_RESPONSE_REQUIRED` - `PROCESSING` - `ACCEPTED` - `WON` - `PARTIALLY_WON` - `LOST`
  - Allowed values: `RESPONSE_REQUIRED`, `NO_RESPONSE_REQUIRED`, `PROCESSING`, `ACCEPTED`, `WON`, `PARTIALLY_WON`, `LOST`
- `created_at` (datetime, required) — When this dispute was created, in [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339) format (UTC).
- `updated_at` (datetime, required) — When this dispute was last updated, in [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339) format (UTC).
- `merchant_id` (string, required) — ID of the merchant that collected the disputed payment. Min length: `1` Max length: `128`
- `customer_credited_amount` (integer, optional, nullable) — The amount credited to the Customer after resolving the dispute. Note: The amount will be in the lowest denomination of the currency used on the associated payment. Min value: `0`
- `response_due_at` (datetime, optional, nullable) — When the dispute must be challenged by, after which it will be automatically accepted, in [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339) format (UTC).

### Error

Represents an error encountered during a request to the API.

- `category` (enum, required) — The high-level reason the error occurred.
  - Allowed values: `API_ERROR`, `AUTHENTICATION_ERROR`, `BRAND_ERROR`, `DISPUTE_ERROR`, `MERCHANT_ERROR`, `INVALID_REQUEST_ERROR`, `PAYMENT_PROCESSING_ERROR`, `RATE_LIMIT_ERROR`, `WEBHOOK_ERROR`, `API_KEY_ERROR`, `GRANT_ERROR`
- `code` (string, required) — A unique identifier for the specific type of error that occurred. For more information, see [Error Code Reference](/cash-app-pay-partner-api/guides/technical-guides/api-fundamentals/errors/error-code-reference). Min length: `1`
- `detail` (string, optional) — Human-readable description of why the error occurred and how to resolve it. Min length: `1`
- `field` (string, optional) — The field in the request that caused the error, using array and object dot notation. Min length: `1`

## Examples

**Response**

```json
{
  "disputes": [
    {
      "id": "DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg",
      "payment_id": "PWC_4nn21zy6t0v2yhqg5bvhk7xkq",
      "amount": 1500,
      "reason": "FR10",
      "settlement_withholding": "NOT_WITHHELD",
      "state": "RESPONSE_REQUIRED",
      "created_at": "2022-01-01T12:00:00Z",
      "updated_at": "2022-01-05T12:00:00Z",
      "merchant_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
      "customer_credited_amount": 1250,
      "response_due_at": "2022-05-01T00:00:00Z"
    }
  ],
  "cursor": "cursor"
}
```

**SDK Code**

```python
import requests

url = "https://api.cash.app/network/v1/disputes"

querystring = {"merchant_id":"MMI_4vxs5egfk7hmta3qx2h6rp91x"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.cash.app/network/v1/disputes?merchant_id=MMI_4vxs5egfk7hmta3qx2h6rp91x';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cash.app/network/v1/disputes?merchant_id=MMI_4vxs5egfk7hmta3qx2h6rp91x"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cash.app/network/v1/disputes?merchant_id=MMI_4vxs5egfk7hmta3qx2h6rp91x")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.cash.app/network/v1/disputes?merchant_id=MMI_4vxs5egfk7hmta3qx2h6rp91x")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.cash.app/network/v1/disputes?merchant_id=MMI_4vxs5egfk7hmta3qx2h6rp91x');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cash.app/network/v1/disputes?merchant_id=MMI_4vxs5egfk7hmta3qx2h6rp91x");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cash.app/network/v1/disputes?merchant_id=MMI_4vxs5egfk7hmta3qx2h6rp91x")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```